## org.eclipse.datatools.sqltools.result.internal.ui.view
Class MultipleTabsTextSection

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.ui.view.ResultSection
          org.eclipse.datatools.sqltools.result.internal.ui.view.MultipleTabsModeSection
              org.eclipse.datatools.sqltools.result.internal.ui.view.MultipleTabsTextSection

    public class MultipleTabsTextSection

extends MultipleTabsModeSection

Displays the SQL result in multiple tabs in text mode

Author:
  Dafan Yang

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.sqltools.result.internal.ui.view.ResultSection
`ResultSection.OutputThread`

Constructor Summary
`MultipleTabsTextSection(org.eclipse.swt.widgets.Composite composite, IResultInstance instance, ResultsViewControl resultsViewControl)`
`MultipleTabsTextSection(org.eclipse.swt.widgets.Composite composite, ResultsViewControl resultsViewControl)`

Method Summary
`TextResultViewer` `getTextViewer()`
`void` `onInstanceReseted()` Refreshes UI when resultInstanceReset event occurs for the current result instance

Methods inherited from class org.eclipse.datatools.sqltools.result.internal.ui.view.MultipleTabsModeSection
`getControl, getRowCount, onInstanceFinished, onNewItemAppended, onParametersShown, showDetail, showResultSet, showTab, showTab`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipleTabsTextSection

    public MultipleTabsTextSection(org.eclipse.swt.widgets.Composite composite,
                                   ResultsViewControl resultsViewControl)

### MultipleTabsTextSection

    public MultipleTabsTextSection(org.eclipse.swt.widgets.Composite composite,
                                   IResultInstance instance,
                                   ResultsViewControl resultsViewControl)

Method Detail

### onInstanceReseted

    public void onInstanceReseted()

  Description copied from class: `ResultSection`
  Refreshes UI when resultInstanceReset event occurs for the current result instance

  Overrides:
    `onInstanceReseted` in class `MultipleTabsModeSection`

### getTextViewer

    public TextResultViewer getTextViewer()